aboutsummaryrefslogtreecommitdiffstats
path: root/ci/deploy.sh
diff options
context:
space:
mode:
Diffstat (limited to 'ci/deploy.sh')
-rwxr-xr-xci/deploy.sh10
1 files changed, 3 insertions, 7 deletions
diff --git a/ci/deploy.sh b/ci/deploy.sh
index 04747bac9..f1a414497 100755
--- a/ci/deploy.sh
+++ b/ci/deploy.sh
@@ -321,13 +321,8 @@ fi
# Check scenario file existence
SCENARIO_DIR="../config/scenario"
if [ ! -f "${SCENARIO_DIR}/${DEPLOY_TYPE}/${DEPLOY_SCENARIO}.yaml" ]; then
- notify "[WARN] ${DEPLOY_SCENARIO}.yaml not found!\n" 3
- notify "[WARN] Setting simplest scenario (os-nosdn-nofeature-noha)\n" 3
- DEPLOY_SCENARIO='os-nosdn-nofeature-noha'
- if [ ! -f "${SCENARIO_DIR}/${DEPLOY_TYPE}/${DEPLOY_SCENARIO}.yaml" ]; then
- notify "[ERROR] Scenario definition file is missing!\n" 1>&2
- exit 1
- fi
+ notify "[ERROR] Scenario definition file is missing!\n" 1>&2
+ exit 1
fi
# Check defaults file existence
@@ -428,6 +423,7 @@ else
prepare_vms "${base_image}" "${STORAGE_DIR}" "${virtual_repos_pkgs}" \
"${virtual_nodes[@]}"
create_networks "${OPNFV_BRIDGES[@]}"
+ do_sysctl_cfg
create_vms "${STORAGE_DIR}" "${virtual_nodes_data}" "${OPNFV_BRIDGES[@]}"
update_mcpcontrol_network
start_vms "${virtual_nodes[@]}"